# -*- encoding: utf-8 -*-
# stub: http 1.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "http"
  s.version = "1.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tony Arcieri", "Erik Michaels-Ober", "Alexey V. Zapparov", "Zachary Anker"]
  s.date = "2016-03-03"
  s.description = "An easy-to-use client library for making requests from Ruby. It uses a simple method chaining system for building requests, similar to Python's Requests."
  s.email = ["bascule@gmail.com"]
  s.files = [".coveralls.yml", ".gitignore", ".rspec", ".rubocop.yml", ".travis.yml", ".yardopts", "CHANGES.md", "CONTRIBUTING.md", "Gemfile", "Guardfile", "LICENSE.txt", "README.md", "Rakefile", "http.gemspec", "lib/http.rb", "lib/http/chainable.rb", "lib/http/client.rb", "lib/http/connection.rb", "lib/http/content_type.rb", "lib/http/errors.rb", "lib/http/headers.rb", "lib/http/headers/known.rb", "lib/http/headers/mixin.rb", "lib/http/mime_type.rb", "lib/http/mime_type/adapter.rb", "lib/http/mime_type/json.rb", "lib/http/options.rb", "lib/http/redirector.rb", "lib/http/request.rb", "lib/http/request/writer.rb", "lib/http/response.rb", "lib/http/response/body.rb", "lib/http/response/parser.rb", "lib/http/response/status.rb", "lib/http/response/status/reasons.rb", "lib/http/timeout/global.rb", "lib/http/timeout/null.rb", "lib/http/timeout/per_operation.rb", "lib/http/uri.rb", "lib/http/version.rb", "logo.png", "spec/lib/http/client_spec.rb", "spec/lib/http/content_type_spec.rb", "spec/lib/http/headers/mixin_spec.rb", "spec/lib/http/headers_spec.rb", "spec/lib/http/options/body_spec.rb", "spec/lib/http/options/form_spec.rb", "spec/lib/http/options/headers_spec.rb", "spec/lib/http/options/json_spec.rb", "spec/lib/http/options/merge_spec.rb", "spec/lib/http/options/new_spec.rb", "spec/lib/http/options/proxy_spec.rb", "spec/lib/http/options_spec.rb", "spec/lib/http/redirector_spec.rb", "spec/lib/http/request/writer_spec.rb", "spec/lib/http/request_spec.rb", "spec/lib/http/response/body_spec.rb", "spec/lib/http/response/status_spec.rb", "spec/lib/http/response_spec.rb", "spec/lib/http_spec.rb", "spec/regression_specs.rb", "spec/spec_helper.rb", "spec/support/black_hole.rb", "spec/support/capture_warning.rb", "spec/support/dummy_server.rb", "spec/support/dummy_server/servlet.rb", "spec/support/http_handling_shared.rb", "spec/support/proxy_server.rb", "spec/support/servers/config.rb", "spec/support/servers/runner.rb", "spec/support/ssl_helper.rb"]
  s.homepage = "https://github.com/httprb/http.rb"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "HTTP should be easy"
  s.test_files = ["spec/lib/http/client_spec.rb", "spec/lib/http/content_type_spec.rb", "spec/lib/http/headers/mixin_spec.rb", "spec/lib/http/headers_spec.rb", "spec/lib/http/options/body_spec.rb", "spec/lib/http/options/form_spec.rb", "spec/lib/http/options/headers_spec.rb", "spec/lib/http/options/json_spec.rb", "spec/lib/http/options/merge_spec.rb", "spec/lib/http/options/new_spec.rb", "spec/lib/http/options/proxy_spec.rb", "spec/lib/http/options_spec.rb", "spec/lib/http/redirector_spec.rb", "spec/lib/http/request/writer_spec.rb", "spec/lib/http/request_spec.rb", "spec/lib/http/response/body_spec.rb", "spec/lib/http/response/status_spec.rb", "spec/lib/http/response_spec.rb", "spec/lib/http_spec.rb", "spec/regression_specs.rb", "spec/spec_helper.rb", "spec/support/black_hole.rb", "spec/support/capture_warning.rb", "spec/support/dummy_server.rb", "spec/support/dummy_server/servlet.rb", "spec/support/http_handling_shared.rb", "spec/support/proxy_server.rb", "spec/support/servers/config.rb", "spec/support/servers/runner.rb", "spec/support/ssl_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<http_parser.rb>, ["~> 0.6.0"])
      s.add_runtime_dependency(%q<http-form_data>, ["~> 1.0.1"])
      s.add_runtime_dependency(%q<http-cookie>, ["~> 1.0"])
      s.add_runtime_dependency(%q<addressable>, ["~> 2.3"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
    else
      s.add_dependency(%q<http_parser.rb>, ["~> 0.6.0"])
      s.add_dependency(%q<http-form_data>, ["~> 1.0.1"])
      s.add_dependency(%q<http-cookie>, ["~> 1.0"])
      s.add_dependency(%q<addressable>, ["~> 2.3"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<http_parser.rb>, ["~> 0.6.0"])
    s.add_dependency(%q<http-form_data>, ["~> 1.0.1"])
    s.add_dependency(%q<http-cookie>, ["~> 1.0"])
    s.add_dependency(%q<addressable>, ["~> 2.3"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
  end
end
